ExtractWikipedia (Lucene 2.4.1 API)
Keywords: org.apache.lucene.benchmark.utils.ExtractWikipedia class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.benchmark.utils
Class ExtractWikipedia

    java.lang.Object
      org.apache.lucene.benchmark.utils.ExtractWikipedia

    public class ExtractWikipedia

extends Object

Extract the downloaded Wikipedia dump into separate files for indexing.

Field Summary
`static int` | `count`
`protected DocMaker` | `docMaker`

Constructor Summary
`ExtractWikipedia(DocMaker docMaker, File outputDir)`

Method Summary
`void` | `create(String id, String title, String time, String body)`
`File` | `directory(int count, File directory)`
`void` | `extract()`
`static void` | `main(String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### count

    public static int count

### docMaker

    protected DocMaker docMaker

Constructor Detail

### ExtractWikipedia

    public ExtractWikipedia(DocMaker docMaker,
                            File outputDir)

Method Detail

### directory

    public File directory(int count,
                          File directory)

### create

    public void create(String id,
                       String title,
                       String time,
                       String body)

### extract

    public void extract()
                 throws Exception

  Throws:
    `Exception`

### main

    public static void main(String[] args)
                     throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.